RK-J - Task #2591

Enable correct document comparison when o-url and section hierarchy is the same for two different
documents

08/18/2022 12:36 PM - Ram Kordale

Status: Closed Start date: 08/18/2022
Priority: Urgent Due date: 08/23/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 3.00 hours
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

When we overwrote Python Howtos DT book with the same zip file, we did not expect any tba or tbr files. However, we did.
The reason was because multiple documents had the same o-url and section hierarchy in this book.

One of the I-urls in the tbr file was 10114/prd/3/howto/clinic-Changing-and-redirecting-Clinics-output-335.html :

Rank of this |-url is 344. when comparing the new version and old version, we compare it by section hierarchy and url. There is also
another document(with rank 333) having same o-url and section hierarchy as document 344.

i.e Python HOWTOs >> Argument Clinic How-To >> Advanced Topics >> Changing and redirecting Clinic’s output >> two-pass

document 344 -
https://edutestqa.appspot.com/admin/document/10114/prd/3/howto/clinic-Changing-and-redirecting-Clinics-output-335.html
document 333 -
https://edutestga.appspot.com/admin/document/10114/prd/3/howto/clinic-Changing-and-redirecting-Clinics-output-324.html

As both documents have the same url and section hierarchy, code returns documentld of 333 when comparing the versions of 344.
So it was trying to remove 333 instead of 344 in tbr. That's the reason why document
344(10114/prd/3/howto/clinic-Changing-and-redirecting-Clinics-output-335.html) is present in the tbr.

This needs a solution.

History

#1 - 08/23/2022 05:06 AM - Ayush Khandelwal
- Due date set to 08/23/2022
- Assignee changed from Ayush Khandelwal to Venmuhilan B

- Estimated time set to 3.00 h

Solution:

If we get more than 1 document then compare cnh of all the documents upto 240 characters and get the exact match document.

#2 - 08/23/2022 05:37 AM - Venmuhilan B

- Status changed from New to In Progress

#3 - 08/23/2022 07:22 AM - Venmuhilan B
- % Done changed from 0 to 90

#4 - 08/23/2022 12:37 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

#5 - 08/23/2022 12:46 PM - Venmuhilan B
- Status changed from Resolved to Reopened

- % Done changed from 100 to 50

#6 - 08/23/2022 12:46 PM - Venmuhilan B
- Status changed from Reopened to In Progress

#7 - 08/24/2022 01:15 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#8 - 08/24/2022 01:15 PM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#9 - 09/01/2022 09:34 AM - Ayush Khandelwal
- Status changed from Feedback to Reopened
- Assignee changed from Ayush Khandelwal to Venmubhilan B

- % Done changed from 100 to 50

If we don't found 'cnh' field while comparison of the documents then we will compare 'heading' field without the html content.

#10 - 09/01/2022 09:39 AM - Venmuhilan B

- Status changed from Reopened to In Progress

#11 - 09/01/2022 12:26 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#12 - 09/12/2022 09:15 AM - Venmuhilan B

- Status changed from Resolved to Feedback

#13 - 09/12/2022 09:16 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#14 - 09/13/2022 06:19 AM - Venmuhilan B

Test case:

Test 1. If the section hierarchy and o-url of new version didn't find the matching document in old version

- returns null(because the document is not found or the new version has a new document that is not present in the old version)
- lurl of the document added to the TBA.

Test 2. If the section hierarchy and o-url of new version is similar to two or more documents of old version then compare their cnh and returns the
right documentld.

Test 3

If the section hierarchy and o-url of new version is similar to only one document of old version then don't
compare their cnh and return the documentId
Test 4

Some documents will not have cnh property(ex: Table of Contents). In that case, compare the headings of oldv
ersion and new version and return the right documentId.

#15 - 09/13/2022 06:47 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected on QA

#16 - 09/26/2022 04:38 AM - Ram Kordale
- Status changed from Feedback to Closed
